Use standard shell instead of bash, there's nothing bash-specific.
While here, use canonical shell idiom for wrapper commands.

diff --git a/src/common/build b/src/common/build
index 57f90c7..2980080 100755
--- a/src/common/build
+++ b/src/common/build
@@ -1,4 +1,4 @@
-#! /bin/bash -f
+#! /bin/sh
 #
 # grovel project directories for symbols and classes
 #
@@ -7,5 +7,5 @@
 #
 # run bjam to build app
 #
-echo bjam $*
-bjam $*
+echo bjam ${1:+"$@"}
+bjam ${1:+"$@"}
